<div class="container-fluid" style="min-height: 100vh;">
  <div class="row justify-content-between text-center" style="padding: 2vh;">
    <div class="col-4 ">
      <div class="input-group">
        <input class="form-control" type="search" placeholder="Search" aria-label="Search" [(ngModel)]="searchText">
        <div class="input-group-append">
          <button class="btn btn-dark" (click)="search()">Search by deck name</button>
        </div>
      </div>
    </div>
    <div class="col-3">
      <button *ngIf="!opened && this.userId" (click)="OnToggleWindow()" class="btn btn-dark">Create new deck</button>
    </div>
    <div class="col-3">
      <button type="button" class="btn btn-dark" style="margin-right: 1vw;" (click)="importDeck()">Import</button>
      <button type="button" class="btn btn-dark" (click)="exportDeck(selectedDeck.deckId)" [disabled]="selectedDeck.deckId == undefined">Export</button>
    </div>
  </div>

  <kendo-window title="Create New Deck" *ngIf="opened" (close)="OnToggleWindow()">
    <app-newdeck></app-newdeck>
  </kendo-window>

  <div class="row justify-content-between container-flex">
    <!-- list of decks-->
    <div class="col-7 border-right border-dark">
      <ul class="list-group">
        <li *ngFor="let deck of shownDecks" class="d-flex list-group-item align-items-center"
          [ngClass]="{'active': selectedDeck.deckId == deck.deckId}" (click)="loadDeck(deck)">{{deck.name}}
          <div class="ml-auto">
            <button type="button" class="btn" (click)="editDeck(deck.deckId)"
              [ngClass]="{'btn-outline-light': selectedDeck.deckId == deck.deckId, 'btn-dark': selectedDeck.deckId != deck.deckId }">Edit</button>
            <button type="button" class="btn btn-danger" (click)="deleteDeck(deck.deckId)">x</button>
          </div>
        </li>
      </ul>
      <div class="alert alert-dark text-center" *ngIf="!this.userId">Login to use the deck functionality</div>
    </div>
    <!-- list of cards in the deck -->
    <div class="col-5">
      <ul class="list-group">
        <li *ngFor="let deckCard of selectedDeck.deckList" style="list-style: none;">
          <div class="row">
            <div class="col-lg-1">{{deckCard.copies}}x</div>
            <div class="col-lg-8">{{deckCard.card.name}}</div>
            <div class="col-lg-3">{{deckCard.card.cost | clean}}</div>
          </div>
        </li>
      </ul>
      <div class="alert alert-dark text-center" *ngIf="selectedDeck.deckId == null">Click on a deck to see the deck list</div>
      <div class="alert alert-dark text-center" *ngIf="selectedDeck.deckList?.length == 0 && selectedDeck.deckId != null">This deck has no cards yet</div>
    </div>
  </div>
</div>